Subject: Re: [bug#31244] [PATCH] ffmpeg 4.0 update patch series
From: Rutger Helling <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Mon, 23 Apr 2018 15:54:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the review and explanation! I've squashed the commits and
pushed.

On Mon, 23 Apr 2018 15:08:23 +0200
[email-masked] (Ludovic Courtès) wrote:

> Hello Rutger,
> 
> Rutger Helling <[email-masked]> skribis:
> 
> > this patch series updates ffmpeg to 4.0. Since I found that a few
> > packages fail to build with ffmpeg 4.0 I've also added [email-masked]
> > for compatibility.
> >
> > Furthermore I've removed ffmpeg-git and changed mpv to build with
> > ffmpeg 4.0 instead.  
> 
> This all looks good to me, but I have one request: could you squash
> all the changes, except perhaps the one removing ‘ffmpeg-git’?
> 
> The rationale is that each commit should leave the repo in a “good”
> state, which would not be the case if we first install the patch that
> upgrades ffmpeg and only then apply the ffmpeg → ffmpeg-3.4 changes.
> 
> I hope that’s fine with you.
> 
> Thanks for working on it!
> 
> Ludo’.